Bug 143385 - Error with elf_update
Error with elf_update
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: elfutils (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-20 04:18 EST by Suganya T
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-07 18:43:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
source program -test case (3.17 KB, text/plain)
2004-12-20 04:24 EST, Suganya T
no flags Details

  None (edit)
Description Suganya T 2004-12-20 04:18:52 EST
Description of problem:
Elf_update function is not updating the ELF descriptor properly.

Version-Release number of selected component (if applicable):
elfutils-0.94

How reproducible:
A section can be added to the section header with data and necessary 
fields can be updated by using elf_update function. Check out with 
readelf command for the fields of new section added.

Steps to Reproduce:
1.Write a program which adds a section to a object file with data and 
setting flags to headers,section and elf and then updating.
2.Use readlef command to check the corresponding added new section.
3.
  
Actual results:
Elf-update should update all the fields in the ELF descriptor.

Expected results:
elf_update updates wrong information on the newly added section.

Additional info:
Comment 1 Suganya T 2004-12-20 04:24:54 EST
Created attachment 108879 [details]
source program -test case

This is a source program which adds section to an object file with data of
section specified in the data file.
Comment 2 Jeff Johnson 2005-02-07 18:43:17 EST
I can't tell whether gelf_update is supposed to create
the additional information, or whether it's up to the
programmer.

No matter what, this change will happen UPSTREAM if desired.

Note You need to log in before you can comment on or make changes to this bug.